Delete a smart listing
Deletes a smart listing by its ID
DELETE
/api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
listing_idstringrequiredid for the smart-listing to delete
Request body
requiredapplication/jsonsmart-listing configuration
rulesinternal_pkg_webserver_v1.ListingRuleRequest[]requiredShow propertiesHide properties
Array of
internal_pkg_webserver_v1.ListingRuleRequestoperatorgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleOperatorrequiredAllowed:
equalnot-equalgreater-thanless-thancontainstargetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleTargetrequiredAllowed:
stockpriceattributetitlecategorytarget_idstringused for warehouse stock validation
value_floatnumbervalue_liststring[]value_stringstringslugstringrequiredResponses
200
smart-listing deleted successfully
datastringrequireddetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Could not find smart-listing to delete
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired